Upgrading to SP2010 - Issues

5 posts, 0 answers
  1. Ultra
    Ultra avatar
    9 posts
    Member since:
    Aug 2011

    Posted 25 Aug 2011 Link to this post

    Hi,

    We are in the process of migrating SP2007 farm to SP2010 using the database attached method.  Our SP2010 environment will be a brand new farm.  Out SP2007 farm is  running RadEditor v4.5.6.  The SP2010 farm have v5.8.10.0 installed.

    Here is the problem.  After attaching/upgrading the SP2007 database to SP2010, I get the following error when trying to navigate to the page:

    "Could not load file or assembly 'RadEditorSharePoint, Version=4.5.6.0, Culture=neutral, PublicKeyToken=1f131a624888eeed' or one of its dependencies. The system cannot find the file specified."
     
    The database is still looking for the older version of RadEditorSharepoint.  I can not remove RadEditor from the old farm before the migration.   So, how can I remove this from the upgraded database and have it use the 4.5.6.0 version instead?

    Please advise.  Thanks
  2. Stanimir
    Admin
    Stanimir avatar
    1653 posts

    Posted 25 Aug 2011 Link to this post

    Hello Ultra,

    First make sure that you upgrade to RadEditor for SharePoint 2010 6.x. This is the control, which is designed for SP2010 (5.x is designed for MOSS) and its latest version is 6.1.6.  You can find the upgrade instructions in the following online help article: Upgrading to a newer version of RadEditor for SharePoint 2010. Points 7 and 8 of the provided article regard your problem.


    All the best,
    Stanimir
    the Telerik team
    Learn how the Telerik controls can be integrated in SharePoint 2007/2010 from this resource. To watch them in action, explore our online SharePoint 2010 and SharePoint 2007 demo sites.

  3. Ultra
    Ultra avatar
    9 posts
    Member since:
    Aug 2011

    Posted 25 Aug 2011 Link to this post

    Hi Stanimir ,

    Thanks for the info.  I am not planning to upgrade to the 5.x version on my existing SP2007 farm.  I currently have the 5.x version on the SP2010 only.  The issue I am having is that, after upgrading my SP databases in SP2010, it is still trying to look for the older RadEditor.  Now, is their a way to update the webparts so that it will use the 5.x version instead?

    Thanks
  4. Stanimir
    Admin
    Stanimir avatar
    1653 posts

    Posted 25 Aug 2011 Link to this post

    Hello Ultra,

    RadEditor for MOSS 5.x does not work properly in SharePoint 2010. The control that you need is RadEditor for SharePoint 2010 6.x.Currently the latest version is 6.1.6.


    Regards,
    Stanimir
    the Telerik team
    Learn how the Telerik controls can be integrated in SharePoint 2007/2010 from this resource. To watch them in action, explore our online SharePoint 2010 and SharePoint 2007 demo sites.
  5. Ultra
    Ultra avatar
    9 posts
    Member since:
    Aug 2011

    Posted 25 Aug 2011 Link to this post

    I figured it out.  Thanks
Back to Top